## python-certbot 0.25.0

=== debian/changelog ===
python-certbot (0.25.0-1+ubuntu16.04.1+certbot+1) xenial; urgency=medium

  * No-change backport to xenial

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Jun 2018 20:54:56 +0000

python-certbot (0.25.0-1) unstable; urgency=medium

  * New upstream version 0.25.0
  * Bump python-acme dep version.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 11 Jun 2018 22:05:17 -0400

python-certbot (0.24.0-2) unstable; urgency=medium

  * Update team email address. (Closes: #899858)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 28 May 2018 19:03:01 -0400

python-certbot (0.24.0-1) unstable; urgency=medium

  * Add OR to dep on python-distutils for stretch-bpo
  * New upstream version 0.24.0
  * Bump version dep on python3-acme

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 03 May 2018 19:43:04 -0400

=== debian/control ===
Source: python-certbot
Section: python
Priority: optional
Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
           Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-python,
	       dh-systemd,
               python3,
               python3-acme (>= 0.25.0~),
               python3-configargparse (>= 0.10.0),
               python3-configobj,
               python3-cryptography (>= 1.2),
	       python3-distutils | python3 (<< 3.6.5~),
	       python3-josepy,
               python3-mock,
               python3-parsedatetime (>= 1.3),
               python3-repoze.sphinx.autointerface,
               python3-requests (>= 2.4.3),
               python3-rfc3339,
               python3-setuptools (>= 1.0),
               python3-tz,
               python3-zope.component,
               python3-zope.interface
Standards-Version: 4.1.4
Homepage: https://certbot.eff.org/
Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
Testsuite: autopkgtest-pkg-python

Package: python3-certbot
Architecture: all
Depends: python3-acme (>= 0.25.0~),
         python3-ndg-httpsclient,
         python3-requests (>= 2.4.3),
         ${misc:Depends},
         ${python3:Depends}
Recommends: certbot
Suggests: python-certbot-doc
Breaks: python-certbot-nginx (<< 0.20.0),
        python-certbot-apache (<< 0.20.0),
        python-letsencrypt (<= 0.6.0)
Replaces: python-letsencrypt
Description: main library for certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the main libraries.

Package: certbot
Section: web
Architecture: all
Depends: python3-certbot (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Breaks: letsencrypt (<= 0.6.0)
Replaces: letsencrypt
Provides: letsencrypt
Suggests: python3-certbot-apache,
	  python3-certbot-nginx,
          python-certbot-doc
Description: automatically configure HTTPS using Let's Encrypt
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the main application, including the standalone
 and the manual authenticators.

Package: letsencrypt
Section: oldlibs
Architecture: all
Depends: certbot,
         ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package for the rename of letsencrypt to certbot.
 It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -ef

include /usr/share/dpkg/default.mk

export PYBUILD_NAME = certbot

REAL_SYSTEMD := true
ifeq (Ubuntu,$(DEB_VENDOR))
  ifeq (trusty,$(DEB_DISTRIBUTION))
    REAL_SYSTEMD := false
  endif
endif

%:
	dh $@ --with python3,systemd --buildsystem=pybuild

override_dh_install:
	mkdir -p debian/certbot/usr/bin debian/certbot/etc/letsencrypt
	mv debian/python3-certbot/usr/bin/* debian/certbot/usr/bin
	rm -rf debian/python3-certbot/usr/bin
	mv debian/cli.ini debian/certbot/etc/letsencrypt/cli.ini
	install -d --mode=0755 debian/certbot/lib/systemd/system
	install -D --mode=644 --target-directory=debian/certbot/lib/systemd/system debian/certbot.timer

override_dh_installcron:
	-$(REAL_SYSTEMD) || cp -f debian/certbot.cron.d debian/certbot.cron.d.bak
	-$(REAL_SYSTEMD) || cp debian/certbot.cron.d.trusty debian/certbot.cron.d
	dh_installcron
	-$(REAL_SYSTEMD) || cp -f debian/certbot.cron.d.bak debian/certbot.cron.d

override_dh_installsystemd:
	dh_installsystemd --no-start --package=certbot
	-$(REAL_SYSTEMD) && dh_installsystemd --package=certbot certbot.timer

override_dh_installinit:

.PHONY: debian/control

## python-certbot 0.26.1

=== debian/changelog ===
python-certbot (0.26.1-1+ubuntu14.04.1+certbot+1) trusty; urgency=medium

  * Backporting to trusty

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Sat, 21 Jul 2018 14:05:33 -0400

python-certbot (0.26.1-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 18 Jul 2018 01:10:01 -0400

python-certbot (0.26.0-1) unstable; urgency=medium

  * New upstream version 0.26.0
  * Bump S-V; add R-R-R: no

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 12 Jul 2018 22:39:22 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
            Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9~),
                dh-python,
-	       dh-systemd,
                python3,
                python3-acme (>= 0.25.0~),
                python3-configargparse (>= 0.10.0),
@@ -20,19 +19,21 @@
                python3-requests (>= 2.4.3),
                python3-rfc3339,
                python3-setuptools (>= 1.0),
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
                python3-tz,
                python3-zope.component,
                python3-zope.interface
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-certbot
 Architecture: all
 Depends: python3-acme (>= 0.25.0~),
-         python3-ndg-httpsclient,
          python3-requests (>= 2.4.3),
          ${misc:Depends},
          ${python3:Depends}
@@ -89,6 +90,28 @@
  This package contains the main application, including the standalone
  and the manual authenticators.
 
+Package: python-certbot-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: client documentation for certbot
+ The objective of Certbot, Let's Encrypt, and the ACME (Automated
+ Certificate Management Environment) protocol is to make it possible
+ to set up an HTTPS server and have it automatically obtain a
+ browser-trusted certificate, without any human intervention. This is
+ accomplished by running a certificate management agent on the web
+ server.
+ .
+ This agent is used to:
+ .
+   - Automatically prove to the Let's Encrypt CA that you control the website
+   - Obtain a browser-trusted certificate and set it up on your web server
+   - Keep track of when your certificate is going to expire, and renew it
+   - Help you revoke the certificate if that ever becomes necessary.
+ .
+ This package contains the documentation.
+
 Package: letsencrypt
 Section: oldlibs
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -ef

export PYBUILD_NAME = certbot

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_install:
	mkdir -p debian/certbot/usr/bin debian/certbot/etc/letsencrypt
	mv debian/python3-certbot/usr/bin/* debian/certbot/usr/bin
	rm -rf debian/python3-certbot/usr/bin
	mv debian/cli.ini debian/certbot/etc/letsencrypt/cli.ini
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:8' \
		sphinx-build -N -bman docs/ build/man

override_dh_installsystemd:
	dh_installsystemd --no-start --package=certbot
	dh_installsystemd --package=certbot certbot.timer

override_dh_installinit:

override_dh_installdocs:
	dh_installdocs -p python-certbot-doc
	dh_installdocs -p certbot -p python3-certbot -p letsencrypt

override_dh_installexamples:
	dh_installexamples -p python-certbot-doc

## python-certbot 0.27.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LetsEncrypt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LetsEncrypt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LetsEncrypt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LetsEncrypt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-certbot (0.27.0-1~ubuntu16.04.1) xenial; urgency=medium

  * Backport to xenial (LP: #1837673):
    - d/control, d/compat: go back to debhelper 9, and drop R³
    - d/p/0002-revert-sphinx-1.6-requirement.patch: revert upstream change
      that allows build with sphinx 1.6
    - d/control: drop requirement on version 1.6 or higher of sphinx
    - d/control, d/rules: go back to python2
    - d/python-certbot-doc.doc-base: go back to the py2 package
    - d/python-certbot.lintian-overrides: go back to python2
    - d/rules: add systemd to debhelper, since it's not automatic on this
      dh level
    - d/control: build-dep on systemd
    - d/rules: no need to explicitly install examples/docs
    - d/rules: install certbot.timer as dh-systemd in Xenial doesn't do it
    - d/rules: go back to dh_systemd_enable and dh_systemd_start since
      dh_installsystemd is only available in debhelper 11 and later
    - d/letsencrypt.postrm: purging the transitional package shouldn't
      remove the logs (Closes: #921423)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 17 Oct 2019 21:03:01 +0000

python-certbot (0.27.0-1) unstable; urgency=medium

  * New upstream version 0.27.0
  * Refresh patch after upstream migration to codecov
  * Bump python-sphinx requirement defensively; bump S-V with no changes
  * Bump dep on python-acme to 0.26.0~

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 05 Sep 2018 20:29:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,43 @@
 Source: python-certbot
 Section: python
 Priority: optional
-Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9~),
+               dh-systemd (>= 1.5),
                dh-python,
-               python3,
-               python3-acme (>= 0.25.0~),
-               python3-configargparse (>= 0.10.0),
-               python3-configobj,
-               python3-cryptography (>= 1.2),
-	       python3-distutils | python3 (<< 3.6.5~),
-	       python3-josepy,
-               python3-mock,
-               python3-parsedatetime (>= 1.3),
-               python3-repoze.sphinx.autointerface,
-               python3-requests (>= 2.4.3),
-               python3-rfc3339,
-               python3-setuptools (>= 1.0),
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-tz,
-               python3-zope.component,
-               python3-zope.interface
-Standards-Version: 4.1.5
+               python,
+               python-acme (>= 0.26.0~),
+               python-configargparse (>= 0.10.0),
+               python-configobj,
+               python-cryptography (>= 1.2),
+	       python-distutils | python (<< 3.6.5~),
+	       python-josepy,
+               python-mock,
+               python-parsedatetime (>= 1.3),
+               python-repoze.sphinx.autointerface,
+               python-requests (>= 2.4.3),
+               python-rfc3339,
+               python-setuptools (>= 1.0),
+               python-sphinx,
+               python-sphinx-rtd-theme,
+               python-tz,
+               python-zope.component,
+               python-zope.interface
+Standards-Version: 4.2.1
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
-Package: python3-certbot
+Package: python-certbot
 Architecture: all
-Depends: python3-acme (>= 0.25.0~),
-         python3-requests (>= 2.4.3),
+Depends: python-acme (>= 0.25.0~),
+         python-requests (>= 2.4.3),
          ${misc:Depends},
-         ${python3:Depends}
+         ${python:Depends}
 Recommends: certbot
 Suggests: python-certbot-doc
 Breaks: python-certbot-nginx (<< 0.20.0),
@@ -63,14 +64,14 @@
 Package: certbot
 Section: web
 Architecture: all
-Depends: python3-certbot (= ${source:Version}),
+Depends: python-certbot (= ${source:Version}),
          ${misc:Depends},
-         ${python3:Depends}
+         ${python:Depends}
 Breaks: letsencrypt (<= 0.6.0)
 Replaces: letsencrypt
 Provides: letsencrypt
-Suggests: python3-certbot-apache,
-	  python3-certbot-nginx,
+Suggests: python-certbot-apache,
+	  python-certbot-nginx,
           python-certbot-doc
 Description: automatically configure HTTPS using Let's Encrypt
  The objective of Certbot, Let's Encrypt, and the ACME (Automated

=== debian/rules ===
#!/usr/bin/make -ef

export PYBUILD_NAME = certbot

%:
	dh $@ --with python2,sphinxdoc,systemd --buildsystem=pybuild

override_dh_install:
	mkdir -p debian/certbot/usr/bin debian/certbot/etc/letsencrypt
	mv debian/python-certbot/usr/bin/* debian/certbot/usr/bin
	rm -rf debian/python-certbot/usr/bin
	mv debian/cli.ini debian/certbot/etc/letsencrypt/cli.ini
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:8' \
		sphinx-build -N -bman docs/ build/man
	# Install certbot.timer as dh-systemd in Xenial doesn't do it
	install -D --mode=644 --target-directory=debian/certbot/lib/systemd/system debian/certbot.timer

override_dh_systemd_enable:
	dh_systemd_enable -pcertbot certbot.service
	dh_systemd_enable -pcertbot certbot.timer

override_dh_systemd_start:
	dh_systemd_start -pcertbot --no-start certbot.service
	dh_systemd_start -pcertbot certbot.timer

override_dh_installinit:

## python-certbot 0.28.0

=== debian/changelog ===
python-certbot (0.28.0-1~deb9u3) stretch-security; urgency=high

  * Switch to use of ACMEv2 API to prevent renewal failures.  (Closes: #969126)

    Let's Encrypt's ACMEv1 API is deprecated and in the process of being
    shut down. Beginning with brownouts in January 2021, and ending with a
    total shutdown in June 2021, the Let's Encrypt APIs will become
    unavailable. To prevent users having disruptions to their certificate
    renewals, this update backports the switch over to the ACMEv2 API.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 26 Sep 2020 14:25:09 -0400

python-certbot (0.28.0-1~deb9u2) stretch; urgency=high

  * The previous stable update incorrectly disabled systemd timer due to a
    change in debhelper compat version.  This release drops the compat
    level back to debhelper 9, thus forcing a restart of the systemd
    timer. (Closes: #922031)

    The behavior of dh_systemd_start changed between compat v9 and compat
    v10; in v9, timers were stopped in postrm and started in postinst, but
    in v10 timers were only started in postinst if they were running.
    Switching back to v9 will unilaterally start the timer in postinst
    once more.
  * Fix an FTBFS due to sbuild not considering or'ed
    dependencies. (Closes: #922543)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 10 Mar 2019 13:36:06 -0400

python-certbot (0.28.0-1~deb9u1) stretch; urgency=medium

  * This stretch update is to cure the problem caused by the deprecation
    and disabling of the upstream TLS-SNI-01 certificate verification
    protocol due to a security vulnerability.  Note, the security
    vulnerability isn't in this package; rather, earlier versions of
    certbot are no longer functional due to changes in the interface that
    certbot uses to retrieve certificates. (Closes: #887399)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 02 Dec 2018 19:21:09 -0500

python-certbot (0.28.0-1) unstable; urgency=medium

  * Add systemd warning to crontab file (Closes: #908841)
  * New upstream version 0.28.0
  * Refresh patch affected by unrelated changes

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 07 Nov 2018 18:19:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,42 @@
 Source: python-certbot
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
+Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 9~),
-               dh-systemd (>= 1.5),
+Build-Depends: debhelper (>= 10~),
                dh-python,
-               python,
-               python-acme (>= 0.26.0~),
-               python-configargparse (>= 0.10.0),
-               python-configobj,
-               python-cryptography (>= 1.2),
-	       python-distutils | python (<< 3.6.5~),
-	       python-josepy,
-               python-mock,
-               python-parsedatetime (>= 1.3),
-               python-repoze.sphinx.autointerface,
-               python-requests (>= 2.4.3),
-               python-rfc3339,
-               python-setuptools (>= 1.0),
-               python-sphinx,
-               python-sphinx-rtd-theme,
-               python-tz,
-               python-zope.component,
-               python-zope.interface
+               python3,
+               python3-acme (>= 0.26.0~),
+               python3-configargparse (>= 0.10.0),
+               python3-configobj,
+               python3-cryptography (>= 1.2),
+	       python3 (<< 3.6.5~) | python3-distutils,
+	       python3-josepy,
+               python3-mock,
+               python3-parsedatetime (>= 1.3),
+               python3-repoze.sphinx.autointerface,
+               python3-requests (>= 2.4.3),
+               python3-rfc3339,
+               python3-setuptools (>= 1.0),
+               python3-sphinx (>= 1.2),
+               python3-sphinx-rtd-theme,
+               python3-tz,
+               python3-zope.component,
+               python3-zope.interface
 Standards-Version: 4.2.1
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
-Package: python-certbot
+Package: python3-certbot
 Architecture: all
-Depends: python-acme (>= 0.25.0~),
-         python-requests (>= 2.4.3),
+Depends: python3-acme (>= 0.25.0~),
+         python3-requests (>= 2.4.3),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Recommends: certbot
 Suggests: python-certbot-doc
 Breaks: python-certbot-nginx (<< 0.20.0),
@@ -64,14 +63,14 @@
 Package: certbot
 Section: web
 Architecture: all
-Depends: python-certbot (= ${source:Version}),
+Depends: python3-certbot (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Breaks: letsencrypt (<= 0.6.0)
 Replaces: letsencrypt
 Provides: letsencrypt
-Suggests: python-certbot-apache,
-	  python-certbot-nginx,
+Suggests: python3-certbot-apache,
+	  python3-certbot-nginx,
           python-certbot-doc
 Description: automatically configure HTTPS using Let's Encrypt
  The objective of Certbot, Let's Encrypt, and the ACME (Automated

=== debian/rules ===
#!/usr/bin/make -ef

export PYBUILD_NAME = certbot

%:
	dh $@ --with python3,sphinxdoc,systemd --buildsystem=pybuild

override_dh_install:
	mkdir -p debian/certbot/usr/bin debian/certbot/etc/letsencrypt
	mv debian/python3-certbot/usr/bin/* debian/certbot/usr/bin
	rm -rf debian/python3-certbot/usr/bin
	mv debian/cli.ini debian/certbot/etc/letsencrypt/cli.ini
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:8' \
		sphinx-build -N -bman docs/ build/man
	install -D --mode=644 --target-directory=debian/certbot/lib/systemd/system debian/certbot.timer

override_dh_systemd_enable:
	dh_systemd_enable --package=certbot certbot.timer

override_dh_systemd_start:
	dh_systemd_start --package=certbot certbot.timer
	dh_systemd_start --package=certbot --no-start certbot.service

override_dh_installinit:

override_dh_installdocs:
	dh_installdocs -p python-certbot-doc
	dh_installdocs -p certbot -p python3-certbot -p letsencrypt

override_dh_installexamples:
	dh_installexamples -p python-certbot-doc

## python-certbot 0.31.0

=== debian/changelog ===
python-certbot (0.31.0-1+deb10u1) buster; urgency=high

  * Switch to use of ACMEv2 API to prevent renewal failures. (Closes: #971045)

    Let's Encrypt's ACMEv1 API is deprecated and in the process of being
    shut down. Beginning with brownouts in January 2021, and ending with a
    total shutdown in June 2021, the Let's Encrypt APIs will become
    unavailable. To prevent users having disruptions to their certificate
    renewals, this update backports the switch over to the ACMEv2 API.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 04 Dec 2020 21:33:11 -0500

python-certbot (0.31.0-1) unstable; urgency=medium

  * New upstream version 0.31.0
  * Bump deps changed by upstream.
  * Bump S-V; no changes needed.
  * Refresh patches.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 09 Feb 2019 19:39:59 -0500

python-certbot (0.28.0-2) unstable; urgency=medium

  * Remove unnecessary letsencrypt.postrm (Closes: #921423)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 05 Feb 2019 22:15:02 -0500

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python3,
-               python3-acme (>= 0.26.0~),
+               python3-acme (>= 0.29.0~),
                python3-configargparse (>= 0.10.0),
                python3-configobj,
-               python3-cryptography (>= 1.2),
-	       python3 (<< 3.6.5~) | python3-distutils,
+               python3-cryptography (>= 1.2.3),
+	       python3-distutils | python3 (<< 3.6.5~),
 	       python3-josepy,
                python3-mock,
                python3-parsedatetime (>= 1.3),
@@ -19,12 +19,12 @@
                python3-requests (>= 2.4.3),
                python3-rfc3339,
                python3-setuptools (>= 1.0),
-               python3-sphinx (>= 1.2),
+               python3-sphinx (>= 1.6),
                python3-sphinx-rtd-theme,
                python3-tz,
                python3-zope.component,
                python3-zope.interface
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
@@ -33,7 +33,7 @@
 
 Package: python3-certbot
 Architecture: all
-Depends: python3-acme (>= 0.25.0~),
+Depends: python3-acme (>= 0.29.0~),
          python3-requests (>= 2.4.3),
          ${misc:Depends},
          ${python3:Depends}

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/certbot/certbot-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-certbot 0.31.0-2~deb10u1+ubuntu16.04.1+certbot+3+8.0trisquel1

=== debian/changelog ===
python-certbot (0.31.0-2~deb10u1+ubuntu16.04.1+certbot+3+8.0trisquel1) flidas; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 19 Dec 2020 00:34:59 +0000

python-certbot (0.31.0-2~deb10u1+ubuntu16.04.1+certbot+3) xenial; urgency=medium

  * No-change backport to xenial

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 Dec 2020 21:47:53 +0100

python-certbot (0.31.0-2~deb10u1) buster; urgency=medium

  [ Harlan Lieberman-Berg ]
  * Switch to use of ACMEv2 API to prevent renewal failures. (Closes: #971045)

    Let's Encrypt's ACMEv1 API is deprecated and in the process of being
    shut down. Beginning with brownouts in January 2021, and ending with a
    total shutdown in June 2021, the Let's Encrypt APIs will become
    unavailable. To prevent users having disruptions to their certificate
    renewals, this update backports the switch over to the ACMEv2 API.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 18 Dec 2020 12:52:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,20 @@
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 9~),
                dh-python,
+	       dh-systemd,
                python3,
                python3-acme (>= 0.29.0~),
                python3-configargparse (>= 0.10.0),
                python3-configobj,
                python3-cryptography (>= 1.2.3),
-	       python3-distutils | python3 (<< 3.6.5~),
+	        python3 (<< 3.6.5~),
 	       python3-josepy,
-               python3-mock,
                python3-parsedatetime (>= 1.3),
-               python3-repoze.sphinx.autointerface,
                python3-requests (>= 2.4.3),
                python3-rfc3339,
                python3-setuptools (>= 1.0),
-               python3-sphinx (>= 1.6),
-               python3-sphinx-rtd-theme,
                python3-tz,
                python3-zope.component,
                python3-zope.interface
@@ -34,6 +31,7 @@
 Package: python3-certbot
 Architecture: all
 Depends: python3-acme (>= 0.29.0~),
+         python3-ndg-httpsclient,
          python3-requests (>= 2.4.3),
          ${misc:Depends},
          ${python3:Depends}
@@ -90,28 +88,6 @@
  This package contains the main application, including the standalone
  and the manual authenticators.
 
-Package: python-certbot-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
-Description: client documentation for certbot
- The objective of Certbot, Let's Encrypt, and the ACME (Automated
- Certificate Management Environment) protocol is to make it possible
- to set up an HTTPS server and have it automatically obtain a
- browser-trusted certificate, without any human intervention. This is
- accomplished by running a certificate management agent on the web
- server.
- .
- This agent is used to:
- .
-   - Automatically prove to the Let's Encrypt CA that you control the website
-   - Obtain a browser-trusted certificate and set it up on your web server
-   - Keep track of when your certificate is going to expire, and renew it
-   - Help you revoke the certificate if that ever becomes necessary.
- .
- This package contains the documentation.
-
 Package: letsencrypt
 Section: oldlibs
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -ef

include /usr/share/dpkg/default.mk

export PYBUILD_NAME = certbot

REAL_SYSTEMD := true
ifeq (Ubuntu,$(DEB_VENDOR))
  ifeq (trusty,$(DEB_DISTRIBUTION))
    REAL_SYSTEMD := false
  endif
endif

%:
	dh $@ --with python3,systemd --buildsystem=pybuild

override_dh_install:
	mkdir -p debian/certbot/usr/bin debian/certbot/etc/letsencrypt
	mv debian/python3-certbot/usr/bin/* debian/certbot/usr/bin
	rm -rf debian/python3-certbot/usr/bin
	mv debian/cli.ini debian/certbot/etc/letsencrypt/cli.ini
	install -d --mode=0755 debian/certbot/lib/systemd/system
	install -D --mode=644 --target-directory=debian/certbot/lib/systemd/system debian/certbot.timer

override_dh_auto_test:
	:

override_dh_installcron:
	-$(REAL_SYSTEMD) || cp -f debian/certbot.cron.d debian/certbot.cron.d.bak
	-$(REAL_SYSTEMD) || cp debian/certbot.cron.d.trusty debian/certbot.cron.d
	dh_installcron
	-$(REAL_SYSTEMD) || cp -f debian/certbot.cron.d.bak debian/certbot.cron.d

override_dh_installsystemd:
	dh_installsystemd --no-start --package=certbot
	-$(REAL_SYSTEMD) && dh_installsystemd --package=certbot certbot.timer

override_dh_installinit:

## python-certbot 0.36.0

=== debian/changelog ===
python-certbot (0.36.0-1) unstable; urgency=medium

  * New upstream version 0.36.0
  * Bump dh, compat to 12
  * Bump S-V; no changes needed
  * Add lintian override for one-shot systemd service.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 11 Jul 2019 16:36:58 -0400

python-certbot (0.35.1-1) unstable; urgency=medium

  * New upstream version 0.35.1
  * Invoke pytest through setup.py.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 09 Jul 2019 18:31:34 -0400

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,28 @@
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 12~),
                dh-python,
-	       dh-systemd,
                python3,
                python3-acme (>= 0.29.0~),
                python3-configargparse (>= 0.10.0),
                python3-configobj,
                python3-cryptography (>= 1.2.3),
-	        python3 (<< 3.6.5~),
-	       python3-josepy,
+               python3-distutils | python3 (<< 3.6.5~),
+               python3-josepy (>= 1.1.0~),
+               python3-mock,
                python3-parsedatetime (>= 1.3),
+               python3-pytest,
+               python3-repoze.sphinx.autointerface,
                python3-requests (>= 2.4.3),
                python3-rfc3339,
                python3-setuptools (>= 1.0),
+               python3-sphinx (>= 1.6),
+               python3-sphinx-rtd-theme,
                python3-tz,
                python3-zope.component,
                python3-zope.interface
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
@@ -31,7 +35,6 @@
 Package: python3-certbot
 Architecture: all
 Depends: python3-acme (>= 0.29.0~),
-         python3-ndg-httpsclient,
          python3-requests (>= 2.4.3),
          ${misc:Depends},
          ${python3:Depends}
@@ -68,7 +71,7 @@
 Replaces: letsencrypt
 Provides: letsencrypt
 Suggests: python3-certbot-apache,
-	  python3-certbot-nginx,
+          python3-certbot-nginx,
           python-certbot-doc
 Description: automatically configure HTTPS using Let's Encrypt
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
@@ -88,6 +91,28 @@
  This package contains the main application, including the standalone
  and the manual authenticators.
 
+Package: python-certbot-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: client documentation for certbot
+ The objective of Certbot, Let's Encrypt, and the ACME (Automated
+ Certificate Management Environment) protocol is to make it possible
+ to set up an HTTPS server and have it automatically obtain a
+ browser-trusted certificate, without any human intervention. This is
+ accomplished by running a certificate management agent on the web
+ server.
+ .
+ This agent is used to:
+ .
+   - Automatically prove to the Let's Encrypt CA that you control the website
+   - Obtain a browser-trusted certificate and set it up on your web server
+   - Keep track of when your certificate is going to expire, and renew it
+   - Help you revoke the certificate if that ever becomes necessary.
+ .
+ This package contains the documentation.
+
 Package: letsencrypt
 Section: oldlibs
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -ef

export PYBUILD_NAME = certbot

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_install:
	mkdir -p debian/certbot/usr/bin debian/certbot/etc/letsencrypt
	mv debian/python3-certbot/usr/bin/* debian/certbot/usr/bin
	rm -rf debian/python3-certbot/usr/bin
	mv debian/cli.ini debian/certbot/etc/letsencrypt/cli.ini
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:8' \
		sphinx-build -N -bman docs/ build/man

override_dh_installsystemd:
	dh_installsystemd --no-start --package=certbot
	dh_installsystemd --package=certbot certbot.timer

override_dh_installinit:

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot -p python-certbot-doc
	dh_installdocs -p certbot -p python3-certbot -p letsencrypt

override_dh_installexamples:
	dh_installexamples --doc-main-package=python3-certbot -p python-certbot-doc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 setup.py test
endif

## python-certbot 0.40.0

=== debian/changelog ===
python-certbot (0.40.0-1ubuntu0.1) focal; urgency=medium

  * Interpret the Let's Encrypt ACMEv1 endpoint in renewal configs as Let's
    Encrypt's ACMEv2 endpoint instead, as the former is deprecated and will
    stop being functional soon (LP: #1893274).
  * Remove failing test since TLSSNI01 objects are no longer exported by
    python3-acme (LP: #1876933).

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 26 Oct 2020 14:42:45 +0000

python-certbot (0.40.0-1) unstable; urgency=medium

  * New upstream version 0.40.0
  * Switch to debian-compat instead of d/compat
  * Bump python-acme version to 0.40.0
  * Bump S-V; no changes needed
  * Drop unnecessary lintian override.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 05 Nov 2019 19:40:23 -0500

python-certbot (0.39.0-1) unstable; urgency=medium

  * New upstream version 0.39.0
  * Add dep on python3-distro
  * Drop transitional dummy package (Closes: #940765)
  * Fix duplicate calls to install systemd timer (Closes: #924262)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 01 Oct 2019 21:54:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: python-certbot
 Section: python
 Priority: optional
-Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
-               python3-acme (>= 0.29.0~),
+               python3-acme (>= 0.40.0~),
                python3-configargparse (>= 0.10.0),
                python3-configobj,
                python3-cryptography (>= 1.2.3),
+	       python3-distro,
                python3-distutils | python3 (<< 3.6.5~),
                python3-josepy (>= 1.1.0~),
                python3-mock,
@@ -25,7 +27,7 @@
                python3-tz,
                python3-zope.component,
                python3-zope.interface
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
@@ -112,12 +114,3 @@
    - Help you revoke the certificate if that ever becomes necessary.
  .
  This package contains the documentation.
-
-Package: letsencrypt
-Section: oldlibs
-Architecture: all
-Depends: certbot,
-         ${misc:Depends}
-Description: transitional dummy package
- This is a transitional dummy package for the rename of letsencrypt to certbot.
- It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,14 @@
 		sphinx-build -N -bman docs/ build/man
 
 override_dh_installsystemd:
-	dh_installsystemd --no-start --package=certbot
+	dh_installsystemd --no-start --package=certbot certbot.service
 	dh_installsystemd --package=certbot certbot.timer
 
 override_dh_installinit:
 
 override_dh_installdocs:
 	dh_installdocs --doc-main-package=python3-certbot -p python-certbot-doc
-	dh_installdocs -p certbot -p python3-certbot -p letsencrypt
+	dh_installdocs -p certbot -p python3-certbot
 
 override_dh_installexamples:
 	dh_installexamples --doc-main-package=python3-certbot -p python-certbot-doc
